<?php
####################Mod Manager Compare: Language strings
###Strings shared among the the kickoff form, the report, and admin_modoptions.php
### Innermenu links
$admtext['mmhelp'] = 'Mod Manager Help';
$admtext['mmcomparehelp'] = 'Comparison Report Help';
$admtext['mmcomparewiki'] = 'Comparison Report Wiki Page';
$admtext['mmlegend'] = 'Report Legend';
### Heading for the report & options
$admtext['mmcomparereport'] = 'Mod Comparison Report';
$admtext['mmkickoff'] = 'Kickoff Form';
###Column headings for status search keys. Used in the kickoff form and the report
#Except for the 'status' suffix, these must match the attribute names
$admtext['mmsite1vwikistatus'] = 'Local v Wiki';
$admtext['mmsite2vsite1status'] = 'Site2 v Local';
$admtext['mmsite2vwikistatus'] = 'Site2 v Wiki';
$admtext['mmwikistatus'] = 'Wiki Status';
#Options - Kickoff & report
$admtext['site1'] = 'Site1';
$admtext['site2'] = 'Site2';
###Status values - used in the kickoff form and the report
$admtext['mmmissing'] = 'missing';
$admtext['mmna'] = 'n/a'; #not applicable
$admtext['mmnolink'] = 'No link';
$admtext['mmbadlink'] = 'Bad Link';
$admtext['mmdeleted'] = 'Deleted';
$admtext['mmnover'] = 'No Ver#';
$admtext['mm1ver'] = '>1 ver#';
$admtext['mmok'] = 'ok';
$admtext['mmprivate'] = 'Private';

###Sort options (both the kickoff form and report):
#Except for the 'sort' prefix, these must be the names of the attributes themselves,
$admtext['mmsortmodname'] = 'Mod name';
$admtext['mmsortfilename'] = 'Filename';
$admtext['mmsortauthor'] = 'Author';
$admtext['mmsortdate'] = 'Latest Mod Update';
$admtext['mmsortsite1vwiki'] = 'Status of Site1 v Wiki';
$admtext['mmsortsite2vsite1'] = 'Status of Site2 v Site1';
$admtext['mmsortsite2vwiki'] = 'Status of Site2 v Wiki';
$admtext['mmsortwiki'] = 'Wiki Status';

###Two or more of the three programs; mostly field prompts
$admtext['mmcachelifetime'] = "Cache Expiration";
$admtext['mmcachemethod'] = 'Cache Method';
$admtext['mmweeks'] = 'weeks';
$admtext['mmdays'] = 'days';
$admtext['mmhours'] = 'hours';
$admtext['mmminutes'] = 'minutes';
$admtext['mmcsearchauthor'] = 'Author to search for';
$admtext['mmsearchinclude'] = 'Include mods whose names contain';
$admtext['mmsearchexclude'] = 'Exclude mods whose names contain';
$admtext['mmsearchcriteria'] = 'Search Criteria';
$admtext['mmauthorformat'] = 'Author name format';
$admtext['mmauthorfirst'] = 'First name only';
$admtext['mmauthorinit'] = 'First name + Last Initial';
$admtext['mmauthorfull'] = 'Full name';
$admtext['filewrap'] = 'Allow Mod filename to wrap';
$admtext['hideversion'] = 'Hide filename version if it matches the mod version';
$admtext['mmprivateopt'] = 'Include private mods';
$admtext['mmstatushilite'] = 'Color-code status values';
$admtext['mmshowsuper'] = 'Use superscripts to mark the Author source and Wiki articles that are under construction';
$admtext['mmflagmismatches'] = "Highlight filenames and Wiki titles that don't match the mod name or version #";
$admtext['mmshowcache']= "Add a report column for the age of each mod's cache";
$admtext['mmformatheading']= 'Report Format';
$admtext['mm4programmers'] = 'These options are more likey to be used by programmers';
$admtext['mm4width'] = 'This option helps keep the report from getting too wide';
/* # Strings that were used to switch between background shading
and borders for highlighting
$admtext['mmborders'] = 'Cell borders';
$admtext['mmbackground'] = 'Background shading';
$admtext['nohilite'] = 'No highlighting';
$admtext['hilitenote'] = "The highlighting style has been change to 'Background'. Make sure you have selected what you want";
*/
$admtext['mmbasicoptions'] = 'Other Basic Options';
$admtext['mmadvancedoptions'] = 'Advanced Search Options';
$admtext['mmdisplayoptions'] = 'Display Options';
$admtext['mmsite2url'] = 'Second site to include in the comparison';
$admtext['mmand'] = 'AND';
$admtext['modswithstatus'] = 'Any of these status values:';
$admtext['mmresetdefaults'] = 'Reset to Defaults';
$admtext['mmcreportdesc1'] = "The Wiki";
$admtext['mmcreportdesc2'] = "A second TNG site";

### Hints that are placed in a litBox - for mod options & the kickoff form
$admtext['mmspeedtitle'] = 'More about Caching';
$admtext['mmspeedhint'] = "Because reading Wiki articles is slow,
this program keeps a cache of Wiki data much like your browser does, but with one very important difference:
A browser can quickly check the server to see if the page has been updated,
and then use the cache if the page has not been updated.
But this application <i>cannot</i> quickly check the server to see if the wiki article, or, more importantly, the mod itself, has been updated.
<p>Instead, this cache relies on a expiration time.
When you use the middle caching option,
the program will grab Wiki data from the cache if that Wiki article's cache is newer than the expiration date.
and will read the Wiki article again only if the cache has expired.
<b>Unfortunately, that caching technique could cause you to miss recently-updated mods</b>.</p>
<p>To make sure that you have the most up-to-date Wiki data, you can use the first caching option,
which ignores the cache and reads all Wiki articles.</p>
<p>On the other hand, if you want to re-run the report without reading the Wiki articles again,
use the third option, which reads Wiki articles only if they have never been read on your TNG site.</p>
<p>If you just need to focus on certain mods, you can reduce the load on the Wiki by searching for those mods,
and/or eliminating specific mods from the search.</p>";

$admtext['mmregextitle'] = 'Regular expression hints';
$admtext['mmregexhint'] = "If a search string starts and ends with a slash, it will be treated as a regular expression.
Here are some regular expression hints:
<ol>
<li>You can anchor the search text to the beginning of the mod name <code>/^Place/</code> in front of the search string.</li>
<li>You can search for, say 'Media' <b>or</b> 'Place' with <code>/(Media)|(Place)/</code></li>
<li>Or combine the two with <code>/^((Media)|(Place))/</code> to look for either term at the beginning of the mod name,
	<br>or <code>/(^Media)|(Place)/</code> to look for 'Media' at the beginning of the mod name or 'Place' anywhere in the modname.
</li>
</ol>";

$admtext['mmstatustitle'] = 'Searchable Status Columns';
$admtext['mmstatushint'] = "You can search for multiple status values
from the report columns 'Site1 v Wiki', 'Site2 v Wiki', and 'Site2 v Site1'. (You can color-code values from the Installation Status columns, but you cannot search for them.)
<p>The possible values for a status column are shown in columns of checkboxes.  If you check status values in multiple status columns, at least one of the checked statuis values must be found in each column.
But if you select multiple values in one column, <i>any</i> of those values will satisfy the requirement for that column.</p>
<p>That is, if you check Site1vWiki='no link', Site1vWiki='missing', and Site2vSite1='=site1', the report must find <br>
<code>(Site1vWiki=='no link' OR Site1vWiki=='missing') AND Site2VSite1=='=site1'</code></p>";

$admtext['mmsectiontitle'] = 'Activiating the Basic and Advanced Options';
$admtext['mmsectionhint'] = "The report will use the Basic and Advanced Options only if those sections of this form
	are open when you submit the form.  That is, if you open the Basic and/or Advanced subforms,
	set some values, and close the subform, then those values <i>will not be used</i> in the report.
	They will, however, be retained and displayed when you re-open the subform,
	or after you run the report and return to this form";

$admtext['mmhilitetitle'] = 'Color-coding of Status Columns';
$admtext['mmhilitehint'] = "The status values in these columns can be color-coded:<ul>
<li>Installation Status - colored exactly as they are in the Mod Manager List</li>
<li>For both possible TNG sites, the comparison of each mod's version # to the version in th4e mod's Wiki article.</li>
<li>If a second site has been selected, a comparison between the two mod version numbers.</li>
</ul>
Some of the color-coding can be interpreted very roughly as 'good' (green) or 'bad' (light red), but overall, the color just helps you find repeated occurrences of a particular status value.";

$admtext['mmfootnote'] = "This help message window can be dragged out of the way,
	and left on the screen as long as you need it.";

###Define strings used only by the kickoff form
$admtext['mmccacheopt'] = "Cache Options";
$admtext['mmcbasicoptions'] = 'Basic Options';
$admtext['mmcotherptions'] = 'Search Options';
$admtext['mmfinddefaults'] = 'Defaults for these options can be defined in the XXX screen';
$admtext['mmwikicachemethod'] = 'Wiki Cache Method';
$admtext['mmusecache'] = "Use the mod's cache if it is newer than";
$admtext['mmignorecache'] = 'Most reliable: Ignore the cache; Always read the Wiki article';
$admtext['mmalwayscache'] = 'Fastest: Use the cache even if it has expired';
$admtext['mmrepeatreport'] = 'for instance, to run a report again';
$admtext['mmcomparethis'] = 'Compare <em>this</em> site';
$admtext['mmto'] = 'to';
$admtext['mmtngwiki'] = 'the TNG Wiki';
$admtext['mmandto'] = 'and to';
$admtext['mmsite2ph'] = 'another TNG site';
$admtext['mmshowmodsthat'] = 'Select only mods that';
$admtext['mmare'] = 'are';
$admtext['mmnot'] = 'are not';
$admtext['mmwrittenby'] = 'written by';
$admtext['mmfocusonnewer'] = 'Focus on mods with a newer version on the Wiki';
$admtext['mmusecacheif'] = "Wiki data will be read from the Wiki server only if the local cache copy of an article is more than XXX old";
$admtext['mmstatusvalues'] = 'Search for Status Values';
$admtext['mmshowstatusvalues'] = 'Show Status Values';
$admtext['mmhidestatusvalues'] = 'Hide Status Values';
$admtext['mmcregex'] = 'The mod name search fields support Regular Expressions';
$admtext['mmoptions'] = 'Mod Manager Options';
$admtext['mmclongtime1'] = 'Note that reading Wiki articles can slow down this program, so you should try to use the cached Wiki data when it makes sense to do so. ';
$admtext['mmclongtime2'] = "And be careful about re-reading Wiki articles so often that you drag down the Wiki Server.";
#Submit button
$admtext['mmsubmit'] = 'Go!';

###Strings for the report only:
#Report attributes and criteria
$admtext['doesmatch'] = 'Mod name matches';
$admtext['doesinclude'] = 'Mod name includes';
$admtext['notmatch'] = 'Mod name must not match';
$admtext['notinclude'] = 'Mod name must not include';
$admtext['notprivate'] = 'Exclude Private mods';
$admtext['mmmodswritten'] = 'Mods written by';
$admtext['mmnotwritten'] = 'Mods not written by';
$admtext['mmauthorhigh'] = 'Highlight mods by';
# Results table column headings
$admtext['mmchinstall'] = 'Status';
$admtext['mmchLversion'] = 'Local<br>Version';
$admtext['mmchversion'] = 'Version';
$admtext['mmchLwiki'] = 'Local<br>v Wiki';
$admtext['mmchwiki'] = 'Compare';
$admtext['mmch2install'] = 'Site2<br>Install';
$admtext['mmch2version'] = 'Site2<br>Version';
$admtext['mmch2site1'] = 'Site2<br>v Local';
$admtext['mmch2wiki'] = 'Site2<br>v Wiki';
$admtext['mmchwstatus'] = 'Wiki<br>Status';
$admtext['mmchwversion'] = 'Wiki Version';
$admtext['mmchwupdate'] = 'Last Update';
$admtext['mmchwarticle'] = 'Wiki Article';
$admtext['mmchwcache'] = 'When<br>Cached';
$admtext['mmcauthor'] = 'Author';
# Counts & Progress report
$admtext['readingcfg'] = 'Reading .cfg files on';
$admtext['mmmodsmatch'] = 'mods matched';
$admtext['combinedmods'] = 'Combined, there are XXX mods';
$admtext['mmreadingwiki'] = 'Reading Wiki articles';
$admtext['mmnowiki'] = 'mods without a Wiki article reference';
$admtext['nomodsmatch'] = 'There are no matching mods to print';
$admtext['anothercompare'] = 'Run another Comparison report';
$admtext['site1'] = 'Local';
$admtext['filesseen'] = '.cfg files seen';
$admtext['reviewed'] = '.cfg files analyzed';
$admtext['articles'] = 'Wiki articles ';
$admtext['mmwikiread'] = 'read from Wiki';
$admtext['mmpulledfrom'] = 'pulled from cache';
$admtext['modsby'] = 'Mods by';
$admtext['statusseen'] = 'Status Values seen in mods that were analyzed';
$admtext['andwiki'] = 'or in Wiki articles that were read';
$admtext['hilitecriteria'] = 'Search criteria are highlighted';
$admtext['mmcmodnameerror'] = 'The mod name portion of the filename does not match the mod name from inside the .cfg file';
$admtext['mmcversionerror'] = 'The version # portion of the filename does not match the version # from inside the .cfg file';
#This XXX is replaced with the source of the author name
$admtext['mmcsource'] = 'The name came from XXX';!!
$admtext['mmcsourceF'] = 'the .cfg file';
$admtext['mmcsource1'] = 'site 1';
$admtext['mmcsource2'] = 'site 2';
$admtext['mmcsourceW'] = 'the Wiki article';

### Strings in admin_modoptions only
$admtext['mmoptheading'] = "These are defaults for the Comparison Report \"Kickoff Form\".";
$admtext['mmcacheopt'] = 'Defaults for cache options';
$admtext['optbasic'] = 'Defaults for Basic Search Options';
$admtext['mmmymodsmine'] = "When matching an author";
$admtext['mmmymodsother'] = "When rejecting an auther";
$admtext['mmmymodsany'] = "When selecting all authors";
$admtext['mmdefaulttype'] = "Default Report Format";
$admtext['mmreportname0'] = "\"MyMods\" list";
$admtext['mmreportdesc0'] = "List of mods, w/ Wiki articles";
$admtext['mmreportname1'] = "Simple Comparison";
$admtext['mmreportdesc1'] = "Compare mods to the Wiki";
$admtext['mmreportname2'] = "Full Comparison";
$admtext['mmreportdesc2'] = "More Options and More Data";
$admtext['mmoptbasic'] = 'Search options';
$admtext['mmoptadvanced'] = "Defaults for Advanced Options";
$admtext['mmadvancednote'] = "more likely to be used by mod developers";
$admtext['mmoptdisplay'] = "Defaults for Display options";
## new ##
$admtext['mmccompareto'] = "Compare this site to ";
$admtext['mmcaright'] = 'Display the author name in the last report column';
$admtext['mmcchanged'] = 'Changed';
$admtext['mmcstrings'] = 'Search strings';
$admtext['mmcpmods'] = 'Private mods';
$admtext['mmcsite2'] = 'Second site';
$admtext['mmcauthor'] = 'Author';
$admtext['mmcstatusvalues'] = 'Status values';
$admtext['mmusecacheless'] = "Use a mod's cache if it is less than XXX YYY old";
$admtext['mmchilite'] = 'highlight';
$admtext['mmcaconstraint'] = 'Author constraint';
$admtext['mmcnotenabled'] = 'no status columns are active';
$admtext['mmmymodssubtitles'] = "External Reports";
$admtext['mmcincoming'] = "Comma-delimited incoming security keys";
$admtext['mmcoutkey'] = "Outgoing keys";
$admtext['mmcoutsite'] = "Corresponding sites";
$options['compareincoming'] = "tngwiki,robinsitekeyX341&";
$admtext['mmcorjust'] = "or just";
$admtext['mmcorphans'] = "Include mods that are <i>only</i> on the second site";
$admtext['mmcmodsummaries'] = "Show mod summaries";
$admtext['mmccolorcode'] = "color-code";
$admtext['mmcsummaries'] = "summaries";
$admtext['mmcsummary'] = "Summary";
$admtext['mmcmore'] = "more";
$admtext['mmcless'] = "less";
?>